<?php

use App\Http\Controllers\Admin\ActivityController;
use App\Http\Controllers\Admin\BadgeController;
use App\Http\Controllers\Admin\CategoryAttributesController;
use App\Http\Controllers\Admin\CategoryController;
use Illuminate\Support\Facades\Route;
use App\Http\Controllers\Auth\LoginController;
use App\Http\Controllers\Admin\DashboardController;
use App\Http\Controllers\Admin\CountryController;
use App\Http\Controllers\Admin\CategoryAttributesValueController;
use App\Http\Controllers\Admin\DressCodeController;
use App\Http\Controllers\Admin\EducationController;
use App\Http\Controllers\Admin\ChatCategoryController;
use App\Http\Controllers\Admin\QuestionController;
use App\Http\Controllers\Admin\AnswerController;
use App\Http\Controllers\Admin\EmirateController;
use App\Http\Controllers\Admin\HomeLogosController;
use App\Http\Controllers\Admin\PageController;
use App\Http\Controllers\Admin\FaqController;
use App\Http\Controllers\Admin\GeneticDiseaseController;
use App\Http\Controllers\Admin\ChronicDiseaseController;
use App\Http\Controllers\Admin\LanguageController;
use App\Http\Controllers\Admin\MaritalStatusController;
use App\Http\Controllers\Admin\NationalityController;
use App\Http\Controllers\Admin\NotificationController;
use App\Http\Controllers\Front\ParentController;
use App\Http\Controllers\Admin\PlanController;
use App\Http\Controllers\Admin\ProfessionController;
use App\Http\Controllers\Admin\PromoController;
use App\Http\Controllers\Admin\ReportController;
use App\Http\Controllers\Admin\ReportTypeController;
use App\Http\Controllers\Admin\SectController;
use App\Http\Controllers\Admin\SportController;
use App\Http\Controllers\Admin\EmploymentController;
use App\Http\Controllers\Admin\SupportController;
use App\Http\Controllers\Admin\UserController;
use App\Http\Controllers\Admin\UserMatchController;
use App\Http\Controllers\Admin\UserRequestController;

Route::get('/', [LoginController::class, 'showLoginForm'])->name('home');

Route::get('admin/login', [LoginController::class, 'showLoginForm'])->name('login');
Route::post('admin/login', [LoginController::class, 'login'])->name('login.post');

Route::post('logout', [LoginController::class, 'logout'])->name('logout')->middleware('auth');

Route::get('parent_approval_link/{token}', [ParentController::class, 'show'])->name('parent.approval.link');
Route::post('parent_approval_update/{id}', [ParentController::class, 'update'])->name('parent.approval.update');
Route::get('parent_approval_success', [ParentController::class, 'success'])->name('parent.approval.success');
Route::get('parent_approval_failed', [ParentController::class, 'failed'])->name('parent.approval.failed');

// Admin Routes
Route::middleware(['auth'])->prefix('admin')->name('admin.')->group(function () {
    Route::get('dashboard', [DashboardController::class, 'index'])->name('dashboard');
    Route::post('change_password', [UserController::class, 'changePassword'])->name('changePassword');

    Route::get('categories', [CategoryController::class, 'index'])->name('categories');
    Route::get('categories/get_category_list', [CategoryController::class, 'getCategoryList'])->name('getCategoryList');
    Route::get('categories/get_category_minimal_list', [CategoryController::class, 'getCategoryMinimalList'])->name('getCategoryMinimalList');
    Route::get('categories/create', [CategoryController::class, 'create'])->name('categories.create');
    Route::post('categories', [CategoryController::class, 'store'])->name('categories.store');
    Route::delete('categories/destroy/{id}', [CategoryController::class, 'destroy'])->name('categories.destroy');
    Route::get('categories/edit/{id}', [CategoryController::class, 'edit'])->name('categories.edit');
    Route::patch('categories/status/{id}', [CategoryController::class, 'statusChange'])->name('categories.status');
    Route::get('categories/formfields/{id}', [CategoryController::class, 'formfields'])->name('categories.formfields');
    Route::post('categories/formfields/{id}', [CategoryController::class, 'storeformfields'])->name('categories.formfieldsstore');

    Route::get('category_atributes', [CategoryAttributesController::class, 'index'])->name('category_atributes');
    Route::get('categories/get_category_attribute_list', [CategoryAttributesController::class, 'getCategoryAttributeList'])->name('getCategoryAttributeList');
    Route::get('category_atributes/create', [CategoryAttributesController::class, 'create'])->name('category_atributes.create');
    Route::post('category_atributes', [CategoryAttributesController::class, 'store'])->name('category_atributes.store');
    Route::delete('category_atributes/destroy/{id}', [CategoryAttributesController::class, 'destroy'])->name('category_atributes.destroy');
    Route::get('category_atributes/edit/{id}', [CategoryAttributesController::class, 'edit'])->name('category_atributes.edit');
    Route::patch('category_atributes/status/{id}', [CategoryAttributesController::class, 'statusChange'])->name('category_atributes.status');

    Route::get('category_atributes_value', [CategoryAttributesValueController::class, 'index'])->name('category_atributes_value');
    Route::get('categories/get_category_attribute_value_list', [CategoryAttributesValueController::class, 'getCategoryAttributeValueList'])->name('getCategoryAttributeValueList');
    Route::get('get_category_atributes', [CategoryAttributesValueController::class, 'getAttributes'])->name('get_category_atributes');
    Route::get('category_atributes_value/create', [CategoryAttributesValueController::class, 'create'])->name('category_atributes_value.create');
    Route::post('category_atributes_value', [CategoryAttributesValueController::class, 'store'])->name('category_atributes_value.store');
    Route::delete('category_atributes_value/destroy/{id}', [CategoryAttributesValueController::class, 'destroy'])->name('category_atributes_value.destroy');
    Route::get('category_atributes_value/edit/{id}', [CategoryAttributesValueController::class, 'edit'])->name('category_atributes_value.edit');
    Route::patch('category_atributes_value/status/{id}', [CategoryAttributesValueController::class, 'statusChange'])->name('category_atributes_value.status');

    Route::get('plans', [PlanController::class, 'index'])->name('plans');
    Route::get('plans/create', [PlanController::class, 'create'])->name('plans.create');
    Route::post('plans', [PlanController::class, 'store'])->name('plans.store');
    Route::delete('plans/destroy/{id}', [PlanController::class, 'destroy'])->name('plans.destroy');
    Route::get('plans/edit/{id}', [PlanController::class, 'edit'])->name('plans.edit');
    Route::patch('plans/status/{id}', [PlanController::class, 'statusChange'])->name('plans.status');

    Route::get('emirates', [EmirateController::class, 'index'])->name('emirates');
    Route::get('emirates/get_emirate_list', [EmirateController::class, 'getEmirateList'])->name('getEmirateList');
    Route::get('emirates/create', [EmirateController::class, 'create'])->name('emirates.create');
    Route::post('emirates', [EmirateController::class, 'store'])->name('emirates.store');
    Route::delete('emirates/destroy/{id}', [EmirateController::class, 'destroy'])->name('emirates.destroy');
    Route::get('emirates/edit/{id}', [EmirateController::class, 'edit'])->name('emirates.edit');
    Route::patch('emirates/status/{id}', [EmirateController::class, 'statusChange'])->name('emirates.status');

    Route::get('nationalities', [NationalityController::class, 'index'])->name('nationalities');
    Route::get('nationalities/get_nationality_list', [NationalityController::class, 'getNationalityList'])->name('getNationalityList');
    Route::get('nationalities/create', [NationalityController::class, 'create'])->name('nationalities.create');
    Route::post('nationalities', [NationalityController::class, 'store'])->name('nationalities.store');
    Route::delete('nationalities/destroy/{id}', [NationalityController::class, 'destroy'])->name('nationalities.destroy');
    Route::get('nationalities/edit/{id}', [NationalityController::class, 'edit'])->name('nationalities.edit');
    Route::patch('nationalities/status/{id}', [NationalityController::class, 'statusChange'])->name('nationalities.status');

    Route::get('languages', [LanguageController::class, 'index'])->name('languages');
    Route::get('languages/get_language_list', [LanguageController::class, 'getLanguageList'])->name('getLanguageList');
    Route::get('languages/create', [LanguageController::class, 'create'])->name('languages.create');
    Route::post('languages', [LanguageController::class, 'store'])->name('languages.store');
    Route::delete('languages/destroy/{id}', [LanguageController::class, 'destroy'])->name('languages.destroy');
    Route::get('languages/edit/{id}', [LanguageController::class, 'edit'])->name('languages.edit');
    Route::patch('languages/status/{id}', [LanguageController::class, 'statusChange'])->name('languages.status');

    // Sects Routes
    Route::get('sects', [SectController::class, 'index'])->name('sects');
    Route::get('sects/get_sect_list', [SectController::class, 'getSectList'])->name('getSectList');
    Route::get('sects/create', [SectController::class, 'create'])->name('sects.create');
    Route::post('sects', [SectController::class, 'store'])->name('sects.store');
    Route::delete('sects/destroy/{id}', [SectController::class, 'destroy'])->name('sects.destroy');
    Route::get('sects/edit/{id}', [SectController::class, 'edit'])->name('sects.edit');
    Route::patch('sects/status/{id}', [SectController::class, 'statusChange'])->name('sects.status');

    // Educations Routes
    Route::get('educations', [EducationController::class, 'index'])->name('educations');
    Route::get('educations/get_education_list', [EducationController::class, 'getEducationList'])->name('getEducationList');
    Route::get('educations/create', [EducationController::class, 'create'])->name('educations.create');
    Route::post('educations', [EducationController::class, 'store'])->name('educations.store');
    Route::delete('educations/destroy/{id}', [EducationController::class, 'destroy'])->name('educations.destroy');
    Route::get('educations/edit/{id}', [EducationController::class, 'edit'])->name('educations.edit');
    Route::patch('educations/status/{id}', [EducationController::class, 'statusChange'])->name('educations.status');

    // Chat Categories Routes
    Route::get('chat_categories', [ChatCategoryController::class, 'index'])->name('chat_categories');
    Route::get('chat_categories/get_chat_category_list', [ChatCategoryController::class, 'getChatCategoryList'])->name('getChatCategoryList');
    Route::get('chat_categories/create', [ChatCategoryController::class, 'create'])->name('chat_categories.create');
    Route::post('chat_categories', [ChatCategoryController::class, 'store'])->name('chat_categories.store');
    Route::delete('chat_categories/destroy/{id}', [ChatCategoryController::class, 'destroy'])->name('chat_categories.destroy');
    Route::get('chat_categories/edit/{id}', [ChatCategoryController::class, 'edit'])->name('chat_categories.edit');
    Route::patch('chat_categories/status/{id}', [ChatCategoryController::class, 'statusChange'])->name('chat_categories.status');

    // Questions Routes
    Route::get('questions', [QuestionController::class, 'index'])->name('questions');
    Route::get('questions/get_question_list', [QuestionController::class, 'getQuestionList'])->name('getQuestionList');
    Route::get('questions/create', [QuestionController::class, 'create'])->name('questions.create');
    Route::post('questions', [QuestionController::class, 'store'])->name('questions.store');
    Route::delete('questions/destroy/{id}', [QuestionController::class, 'destroy'])->name('questions.destroy');
    Route::get('questions/edit/{id}', [QuestionController::class, 'edit'])->name('questions.edit');
    Route::patch('questions/status/{id}', [QuestionController::class, 'statusChange'])->name('questions.status');

    // Answers Routes
    Route::get('answers', [AnswerController::class, 'index'])->name('answers');
    Route::get('answers/get_answer_list', [AnswerController::class, 'getAnswerList'])->name('getAnswerList');
    Route::get('answers/create/{question_id?}', [AnswerController::class, 'create'])->name('answers.create');
    Route::post('answers', [AnswerController::class, 'store'])->name('answers.store');
    Route::delete('answers/destroy/{id}', [AnswerController::class, 'destroy'])->name('answers.destroy');
    Route::get('answers/edit/{id}', [AnswerController::class, 'edit'])->name('answers.edit');
    Route::patch('answers/status/{id}', [AnswerController::class, 'statusChange'])->name('answers.status');

    // Professions Routes
    Route::get('professions', [ProfessionController::class, 'index'])->name('professions');
    Route::get('professions/get_profession_list', [ProfessionController::class, 'getProfessionList'])->name('getProfessionList');
    Route::get('professions/create', [ProfessionController::class, 'create'])->name('professions.create');
    Route::post('professions', [ProfessionController::class, 'store'])->name('professions.store');
    Route::delete('professions/destroy/{id}', [ProfessionController::class, 'destroy'])->name('professions.destroy');
    Route::get('professions/edit/{id}', [ProfessionController::class, 'edit'])->name('professions.edit');
    Route::patch('professions/status/{id}', [ProfessionController::class, 'statusChange'])->name('professions.status');

    // Marital Statuses Routes
    Route::get('marital_statuses', [MaritalStatusController::class, 'index'])->name('marital_statuses');
    Route::get('marital_statuses/get_marital_status_list', [MaritalStatusController::class, 'getMaritalStatusList'])->name('getMaritalStatusList');
    Route::get('marital_statuses/create', [MaritalStatusController::class, 'create'])->name('marital_statuses.create');
    Route::post('marital_statuses', [MaritalStatusController::class, 'store'])->name('marital_statuses.store');
    Route::delete('marital_statuses/destroy/{id}', [MaritalStatusController::class, 'destroy'])->name('marital_statuses.destroy');
    Route::get('marital_statuses/edit/{id}', [MaritalStatusController::class, 'edit'])->name('marital_statuses.edit');
    Route::patch('marital_statuses/status/{id}', [MaritalStatusController::class, 'statusChange'])->name('marital_statuses.status');

    // Dress Codes Routes
    Route::get('dress_codes', [DressCodeController::class, 'index'])->name('dress_codes');
    Route::get('dress_codes/get_dress_code_list', [DressCodeController::class, 'getDressCodeList'])->name('getDressCodeList');
    Route::get('dress_codes/create', [DressCodeController::class, 'create'])->name('dress_codes.create');
    Route::post('dress_codes', [DressCodeController::class, 'store'])->name('dress_codes.store');
    Route::delete('dress_codes/destroy/{id}', [DressCodeController::class, 'destroy'])->name('dress_codes.destroy');
    Route::get('dress_codes/edit/{id}', [DressCodeController::class, 'edit'])->name('dress_codes.edit');
    Route::patch('dress_codes/status/{id}', [DressCodeController::class, 'statusChange'])->name('dress_codes.status');

    // Genetic Diseases Routes
    Route::get('genetic_diseases', [GeneticDiseaseController::class, 'index'])->name('genetic_diseases');
    Route::get('genetic_diseases/get_genetic_disease_list', [GeneticDiseaseController::class, 'getGeneticDiseaseList'])->name('getGeneticDiseaseList');
    Route::get('genetic_diseases/create', [GeneticDiseaseController::class, 'create'])->name('genetic_diseases.create');
    Route::post('genetic_diseases', [GeneticDiseaseController::class, 'store'])->name('genetic_diseases.store');
    Route::delete('genetic_diseases/destroy/{id}', [GeneticDiseaseController::class, 'destroy'])->name('genetic_diseases.destroy');
    Route::get('genetic_diseases/edit/{id}', [GeneticDiseaseController::class, 'edit'])->name('genetic_diseases.edit');
    Route::patch('genetic_diseases/status/{id}', [GeneticDiseaseController::class, 'statusChange'])->name('genetic_diseases.status');

    // Chronic Diseases Routes
    Route::get('chronic_diseases', [ChronicDiseaseController::class, 'index'])->name('chronic_diseases');
    Route::get('chronic_diseases/get_chronic_disease_list', [ChronicDiseaseController::class, 'getChronicDiseaseList'])->name('getChronicDiseaseList');
    Route::get('chronic_diseases/create', [ChronicDiseaseController::class, 'create'])->name('chronic_diseases.create');
    Route::post('chronic_diseases', [ChronicDiseaseController::class, 'store'])->name('chronic_diseases.store');
    Route::delete('chronic_diseases/destroy/{id}', [ChronicDiseaseController::class, 'destroy'])->name('chronic_diseases.destroy');
    Route::get('chronic_diseases/edit/{id}', [ChronicDiseaseController::class, 'edit'])->name('chronic_diseases.edit');
    Route::patch('chronic_diseases/status/{id}', [ChronicDiseaseController::class, 'statusChange'])->name('chronic_diseases.status');

    // Activities Routes
    Route::get('activities', [ActivityController::class, 'index'])->name('activities');
    Route::get('activities/get_activity_list', [ActivityController::class, 'getActivityList'])->name('getActivityList');
    Route::get('activities/create', [ActivityController::class, 'create'])->name('activities.create');
    Route::post('activities', [ActivityController::class, 'store'])->name('activities.store');
    Route::delete('activities/destroy/{id}', [ActivityController::class, 'destroy'])->name('activities.destroy');
    Route::get('activities/edit/{id}', [ActivityController::class, 'edit'])->name('activities.edit');
    Route::patch('activities/status/{id}', [ActivityController::class, 'statusChange'])->name('activities.status');

    // Sports Routes
    Route::get('sports', [SportController::class, 'index'])->name('sports');
    Route::get('sports/get_sport_list', [SportController::class, 'getSportList'])->name('getSportList');
    Route::get('sports/create', [SportController::class, 'create'])->name('sports.create');
    Route::post('sports', [SportController::class, 'store'])->name('sports.store');
    Route::delete('sports/destroy/{id}', [SportController::class, 'destroy'])->name('sports.destroy');
    Route::get('sports/edit/{id}', [SportController::class, 'edit'])->name('sports.edit');
    Route::patch('sports/status/{id}', [SportController::class, 'statusChange'])->name('sports.status');

    Route::get('employments', [EmploymentController::class, 'index'])->name('employments');
    Route::get('employments/get_sport_list', [EmploymentController::class, 'getEmploymentList'])->name('getEmploymentList');
    Route::get('employments/create', [EmploymentController::class, 'create'])->name('employments.create');
    Route::post('employments', [EmploymentController::class, 'store'])->name('employments.store');
    Route::delete('employments/destroy/{id}', [EmploymentController::class, 'destroy'])->name('employments.destroy');
    Route::get('employments/edit/{id}', [EmploymentController::class, 'edit'])->name('employments.edit');
    Route::patch('employments/status/{id}', [EmploymentController::class, 'statusChange'])->name('employments.status');

    Route::get('countries', [CountryController::class, 'index'])->name('countries');
    Route::get('cities/get_country_list', [CountryController::class, 'getCountryList'])->name('getCountryList');
    Route::get('countries/create', [CountryController::class, 'create'])->name('countries.create');
    Route::post('countries', [CountryController::class, 'store'])->name('countries.store');
    Route::delete('countries/destroy/{id}', [CountryController::class, 'destroy'])->name('countries.destroy');
    Route::get('countries/edit/{id}', [CountryController::class, 'edit'])->name('countries.edit');
    Route::patch('countries/status/{id}', [CountryController::class, 'statusChange'])->name('countries.status');

    Route::get('report_types', [ReportTypeController::class, 'index'])->name('report_types');
    Route::get('report_types/get_report_type_list', [ReportTypeController::class, 'getReportTypeList'])->name('getReportTypeList');
    Route::get('report_types/create', [ReportTypeController::class, 'create'])->name('report_types.create');
    Route::post('report_types', [ReportTypeController::class, 'store'])->name('report_types.store');
    Route::delete('report_types/destroy/{id}', [ReportTypeController::class, 'destroy'])->name('report_types.destroy');
    Route::get('report_types/edit/{id}', [ReportTypeController::class, 'edit'])->name('report_types.edit');

    Route::get('users/male', [UserController::class, 'indexMale'])->name('users.male');
    Route::get('users/female', [UserController::class, 'indexFemale'])->name('users.female');
    Route::get('users/details/{id}', [UserController::class, 'show'])->name('users.details');
    Route::get('users/chats', [UserController::class, 'chats'])->name('users.chats');
    Route::get('users/chat', [UserController::class, 'chat'])->name('users.chat');
    Route::get('users/get_user_list', [UserController::class, 'getUserList'])->name('getUserList');
    Route::get('ads/get_user_minimal_list', [UserController::class, 'getMinimalUserList'])->name('getMinimalUserList');
    Route::get('users/createmale', [UserController::class, 'createMale'])->name('users.create.male');
    Route::get('users/createfemale', [UserController::class, 'createFemale'])->name('users.create.female');
    Route::post('users', [UserController::class, 'store'])->name('users.store');
    Route::delete('users/destroy/{id}', [UserController::class, 'destroy'])->name('users.destroy');
    Route::post('users/approve/{id}', [UserController::class, 'approve'])->name('users.approve');
    Route::get('users/editmale/{id}', [UserController::class, 'editMale'])->name('users.editmale');
    Route::get('users/edit/{id}', [UserController::class, 'editFemale'])->name('users.editfemale');
    Route::get('users/reject/{id}', [UserController::class, 'reject'])->name('users.reject');
    Route::post('users/rejectreason', [UserController::class, 'rejectreason'])->name('users.rejectreason');
    Route::patch('users/status/{id}', [UserController::class, 'statusChange'])->name('users.status');
    Route::get('users/export', [UserController::class, 'exportUsers'])->name('users.export');

    Route::get('users/mother_certificate_verification', [UserController::class, 'motherCertificateVerificationList'])->name('users.mother_certificate_verification');
    Route::get('users/get_mother_certificate_verification_list', [UserController::class, 'getMotherCertificateVerificationList'])->name('getMotherCertificateVerificationList');
    Route::post('users/verify_mother_certificate/{id}', [UserController::class, 'verifyMotherCertificate'])->name('users.verify_mother_certificate');
    Route::get('user_requests/received/{id}', [UserRequestController::class, 'receivedIndex'])->name('user_requests.received');
    Route::get('user_requests/sent/{id}', [UserRequestController::class, 'sentIndex'])->name('user_requests.sent');
    Route::get('user_requests/get_received_user_request_list', [UserRequestController::class, 'getReceivedUserRequestList'])->name('getReceivedUserRequestList');
    Route::get('user_requests/get_sent_user_request_list', [UserRequestController::class, 'getSentUserRequestList'])->name('getSentUserRequestList');
    Route::get('user_requests/sentdetails/{id}', [UserRequestController::class, 'sentShow'])->name('user_requests.sentdetails');
    Route::get('user_requests/receiveddetails/{id}', [UserRequestController::class, 'receivedShow'])->name('user_requests.receiveddetails');
    Route::delete('user_requests/destroy/{id}', [UserRequestController::class, 'destroy'])->name('user_requests.destroy');

    Route::get('user_matches/{id}', [UserMatchController::class, 'index'])->name('user_matches.index');
    Route::get('get_user_match_list', [UserMatchController::class, 'getUserMatchList'])->name('getUserMatchList');
    Route::get('user_matches/details/{id}', [UserMatchController::class, 'show'])->name('user_matches.details');

    // Match Request Notification Routes
    Route::get('match-requests/check-new', [UserMatchController::class, 'checkNewNotifications'])->name('match.requests.check');
    Route::post('match-requests/mark-read/{id}', [UserMatchController::class, 'markAsRead'])->name('match.requests.mark_read');
    Route::get('match-requests', [UserMatchController::class, 'matchRequestsIndex'])->name('match.requests');
    Route::get('match-requests/data', [UserMatchController::class, 'getMatchRequestsData'])->name('match.requests.data');
    Route::get('match-requests/{id}/download-pdf', [UserMatchController::class, 'downloadPdf'])->name('match.requests.download_pdf');
    Route::get('match-requests/{id}', [UserMatchController::class, 'showMatchRequest'])->name('match.requests.show');

    Route::get('promos', [PromoController::class, 'index'])->name('promos');
    Route::get('promos/create', [PromoController::class, 'create'])->name('promos.create');
    Route::post('promos', [PromoController::class, 'store'])->name('promos.store');
    Route::delete('promos/destroy/{id}', [PromoController::class, 'destroy'])->name('promos.destroy');
    Route::get('promos/edit/{id}', [PromoController::class, 'edit'])->name('promos.edit');
    Route::patch('promos/status/{id}', [PromoController::class, 'statusChange'])->name('promos.status');

    Route::get('pages/{page}', [PageController::class, 'showForm'])->name('pages.show');
    Route::post('pages/{page}/save', [PageController::class, 'savePage'])->name('pages.save');

    Route::post('pages/site_details', [PageController::class, 'site_details'])->name('pages.site_details');

    Route::get('site_page_details', [PageController::class, 'site_details'])->name('site_page_details');
    Route::post("site_page_setting_store", [PageController::class, 'site_setting_store'])->name('site_page_setting_store');

    Route::get('home_page_details', [PageController::class, 'home_details'])->name('home_page_details');
    Route::post("home_page_details_store", [PageController::class, 'home_page_details_store'])->name('home_page_details_store');

    Route::get('badges', [BadgeController::class, 'index'])->name('badges');
    Route::get('badges/get_badge_list', [BadgeController::class, 'getBadgeList'])->name('getBadgeList');
    Route::get('badges/create', [BadgeController::class, 'create'])->name('badges.create');
    Route::post('badges', [BadgeController::class, 'store'])->name('badges.store');
    Route::delete('badges/destroy/{id}', [BadgeController::class, 'destroy'])->name('badges.destroy');
    Route::get('badges/edit/{id}', [BadgeController::class, 'edit'])->name('badges.edit');
    Route::patch('badges/status/{id}', [BadgeController::class, 'statusChange'])->name('badges.status');

    Route::get('notifications', [NotificationController::class, 'index'])->name('notifications');
    Route::get('notifications/get_notifications_list', [NotificationController::class, 'getNotificationsList'])->name('getNotificationsList');
    Route::get('notifications/get_search_user_list', [NotificationController::class, 'getSearchUserList'])->name('getSearchUserList');
    Route::get('notifications/create', [NotificationController::class, 'create'])->name('notifications.create');
    Route::post('notifications', [NotificationController::class, 'store'])->name('notifications.store');
    Route::post('notifications/submit', [NotificationController::class, 'submit'])->name('notifications.submit');
    Route::delete('notifications/destroy/{id}', [NotificationController::class, 'destroy'])->name('notifications.destroy');
    Route::get('notifications/edit/{id}', [NotificationController::class, 'edit'])->name('notifications.edit');
    Route::patch('notifications/status/{id}', [NotificationController::class, 'statusChange'])->name('notifications.status');

    Route::get('reports/malecustomeregistration', [ReportController::class, 'maleCustomeRegistration'])->name('reports.malecustomeregistration');
    Route::get('reports/femalecustomeregistration', [ReportController::class, 'femaleCustomeRegistration'])->name('reports.femalecustomeregistration');
    Route::get('reports/customeregistration/list', [ReportController::class, 'getUserRegistrationList'])->name('reports.customeregistration.list');
    Route::get('reports/customeregistration/export_excel', [ReportController::class, 'getCustomeRegistrationExcel'])->name('reports.customeregistration.exportExcel');
    Route::get('reports/customeregistration/export_pdf', [ReportController::class, 'getCustomeRegistrationPdf'])->name('reports.customeregistration.exportPdf');
    Route::get('reports/matchmakingreport', [ReportController::class, 'matchMaking'])->name('reports.matchmakingreport');
    Route::get('reports/matchmakingreport/list', [ReportController::class, 'getMatchMakingList'])->name('reports.matchmakingreport.list');
    Route::get('reports/matchmakingreport/details/{id}', [ReportController::class, 'getMatchmakingDetails'])->name('reports.matchmakingreport.details');
    Route::get('reports/matchmakingreport/export_excel', [ReportController::class, 'getMatchMakingReportExcel'])->name('reports.matchmakingreport.exportExcel');
    Route::get('reports/matchmakingreport/export_pdf', [ReportController::class, 'getMatchMakingReportPdf'])->name('reports.matchmakingreport.exportPdf');

    Route::get('reports/proposalreport', [ReportController::class, 'proposalReport'])->name('reports.proposalreport');
    Route::get('reports/proposalreport/list', [ReportController::class, 'getProposalReportList'])->name('reports.proposalreport.list');
    Route::get('reports/proposalreport/export_excel', [ReportController::class, 'getProposalReportExcel'])->name('reports.proposalreport.exportExcel');
    Route::get('reports/proposalreport/export_pdf', [ReportController::class, 'getProposalReportPdf'])->name('reports.proposalreport.exportPdf');

    Route::get('reports/paymentreport', [ReportController::class, 'paymentReport'])->name('reports.paymentreport');
    Route::get('reports/paymentreport/list', [ReportController::class, 'getPaymentReportList'])->name('reports.paymentreport.list');
    Route::get('reports/paymentreport/export_excel', [ReportController::class, 'getPaymentReportExcel'])->name('reports.paymentreport.exportExcel');
    Route::get('reports/paymentreport/export_pdf', [ReportController::class, 'getPaymentReportPdf'])->name('reports.paymentreport.exportPdf');

    Route::get('support', [SupportController::class, 'index'])->name('support');
    Route::get('support/get_support_list', [SupportController::class, 'getSupportList'])->name('getSupportList');
    Route::get('support/create', [SupportController::class, 'create'])->name('support.create');
    Route::delete('support/destroy/{id}', [SupportController::class, 'destroy'])->name('support.destroy');
    Route::get('support/show/{id}', [SupportController::class, 'show'])->name('support.show');
    Route::patch('support/status/{id}', [SupportController::class, 'statusChange'])->name('support.status');

    Route::get('homelogos', [HomeLogosController::class, 'index'])->name('homelogos');
    Route::get('homelogos/create', [HomeLogosController::class, 'create'])->name('homelogos.create');
    Route::post('homelogos', [HomeLogosController::class, 'store'])->name('homelogos.store');
    Route::delete('homelogos/destroy/{id}', [HomeLogosController::class, 'destroy'])->name('homelogos.destroy');
    Route::get('homelogos/edit/{id}', [HomeLogosController::class, 'edit'])->name('homelogos.edit');
    Route::patch('homelogos/status/{id}', [HomeLogosController::class, 'statusChange'])->name('homelogos.status');

});



